/**
 * @(#)KeyboardReader.java 1.1 20/01/2005
 * Copyright 2005 usd.sie.dendai.ac.jp, All rights reserved.
 */
package jp.ac.dendai.sie.usd.util;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

/**
 * KeyboardReaderNX̓L[{[hs̕ǂݎStringCX^XAint^Adouble^邢
 * TokensCX^X֕ϊǂݎNXłB
 * s̋؂́AAAsAA^s̑gݍ킹A܂EOF(t@C̏I)Ԃŕ\܂B
 * @version 1.1, 18/05/2005
 * @author miya@sie.dendai.ac.jp
 */
public final class KeyboardReader{
	private KeyboardReader(){
	}
	
	/**
	 * L[{[hs̕ǂݎ܂B
	 * @return L[{[hǂݍ񂾕łB
	 */
	public static String readString(){
		String line = null;
		try{
			line = new BufferedReader(new InputStreamReader(System.in)).readLine();
		}catch(IOException e){
			e.printStackTrace();
		}
		return line;
	}
	
	/**
	 * L[{[hs̕ǂݎA
	 * ̋̕󔒂^uŋ؂ꂽŏ̕int^ɕϊ܂B
	 * Aint^ɕϊłȂꍇInteger.MAX_VALUEɂȂ܂B
	 * @return int^ɕϊlԂ܂B
	 */
	public static int readInt(){
		String line = null;
		try{
			line = new BufferedReader(new InputStreamReader(System.in)).readLine();
		}catch(IOException e){
			e.printStackTrace();
		}
		return new Tokens(line).getInt(0);
	}
	
	/**
	 * L[{[hs̕ǂݎA
	 * ̋̕󔒂^uŋ؂ꂽŏ̕double^ɕϊ܂B
	 * Adouble^ɕϊłȂꍇDouble.MAX_VALUEɂȂ܂B
	 * @return double^ɕϊlԂ܂B
	 */
	public static double readDouble(){
		String line = null;
		try{
			line = new BufferedReader(new InputStreamReader(System.in)).readLine();
		}catch(IOException e){
			e.printStackTrace();
		}
		return new Tokens(line).getDouble(0);
	}
	
	/**
	 * L[{[h̕RXgN^̈ƂTokensCX^X𐶐Aԋp܂B
	 * @return TokensCX^XԂ܂B
	 */
	public static Tokens createTokens(){
		String line = null;
		try{
			line = new BufferedReader(new InputStreamReader(System.in)).readLine();
		}catch(IOException e){
			e.printStackTrace();
		}
		return new Tokens(line);
	}
}
